<template>
  <div>
    <div class="overflow-hidden">
      <div
        :class="[
          'overflow-y-auto overscroll-contain bg-background2 app__wrapper-container',
          themeColor.Text === 'bk8_green'
            ? 'h-[calc(100vh-156px)]'
            : 'auto-height-wrapper',
        ]"
      >
        <banner-mobile
          :theme-properties="themeProperties"
          :actived="'KenoInitial'"
          class="mobileBannerCarouselBfm1"
          @hasBanner="(val) => (hasBanner = val)"
        />
        <game-entry v-if="themeColor.Text === 'bk8_green'" />
        <div v-else class="horizontal-game-entry-list">
          <new-black-theme-m-game-list-entry />
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent, ref } from "vue";
import { store } from "@/store";

export default defineComponent({
  name: "Keno",
  setup() {
    const hasBanner = ref(false);
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const { themeColor } = themePropertyHelper;
    return {
      hasBanner,
      themeProperties,
      themeColor,
    };
  },
});
</script>

<style lang="scss" scoped>
.auto-height-wrapper {
  @apply h-[calc(100vh-108px)];
}
[layout="playful"] .auto-height-wrapper {
  @apply h-[calc(100vh-65px)];
}
[layout="global"] .auto-height-wrapper {
  @apply h-[calc(100vh-148px)];
}
</style>
